#!/bin/sh

# Set fullscreen mode

export SDL_VIDEODRIVER=omapdss
export SDL_OMAP_LAYER_SIZE=fullscreen

# PNDs $HOME export
pwd=$(pwd)
export HOME=$pwd

# Library path 
lib=$(pwd)/libs
export LD_LIBRARY_PATH=$lib


# ALSA Sequencer init

if ! lsmod|grep -q snd-seq;then
  # the module isn't loaded
  if ! grep -q snd-seq /etc/modules;then
    # not loaded automagically
    gksudo -D "load MIDI module on startup ?" "echo snd-seq>>/etc/modules"
  fi
  gksudo -D "load MIDI module" "modprobe -k snd-seq"
fi


# If there is no config, copy the default one (should appear in appdata folder to be user editable)
if [ ! -f ./sunvox_config.ini ];
	then
		cp ./default_config/sunvox_config.ini ./sunvox_config.ini
		echo Copying config file.
fi

# Launch Sunvox
./sunvox
			








